/*****************************************************************

 in_buf.sv module

******************************************************************

 My Company Confidential Copyright  2012

******************************************************************

 created on:	01/10/2012 
 created by:	author
 last edit on:	$DateTime: 2012/01/10 19:01:32 $
 last edit by:	$Author: author $
 revision:      $Revision: #1 $
 comments:      Generated.

******************************************************************
 <Design Name>

 This module implements the input buffers for the Data Path FPGA 
 on the <name> board. 

******************************************************************/

module	in_buf	       (// *** Inputs ***
                        // ** System Inputs **
                        input   logic           fpga_board_rstn,
                        input	logic           fpga_clk100_p,
                        input	logic           fpga_clk100_n,

                        // ** Data Interface **
                        input	logic   [3:0]	fpga_data_in,


                        // *** Outputs ***
                        // ** System Inputs **
                        output	logic           rst_n,
                        output	logic           clk100,

                        // ** Data Interface **
			output	logic	[3:0]	data_in 

		);

// *** Local Variable Declarations ***
// Local Parameter Declarations:
// N/A
// Local Logic Declarations:
logic           board_rstn;		// Board Reset.

/******************************************************
     ** System Inputs **
*******************************************************/
IBUF	_board_rstn_ibuf   (.I(fpga_board_rstn), .O(board_rstn));
IBUFGDS	_clk100_ibuf       (.I(fpga_clk100_p), .IB(fpga_clk100_n), .O(clk100));

/******************************************************
     ** Clock Switch Interface **
*******************************************************/
IBUFDS  _data_in_ibuf0    (.I(fpga_data_in_p[0]), .IB(fpga_data_in_n[0]), .O(data_in[0]));
IBUFDS  _data_in_ibuf1    (.I(fpga_data_in_p[1]), .IB(fpga_data_in_n[1]), .O(data_in[1]));
IBUFDS  _data_in_ibuf2    (.I(fpga_data_in_p[2]), .IB(fpga_data_in_n[2]), .O(data_in[2]));
IBUFDS  _data_in_ibuf3    (.I(fpga_data_in_p[3]), .IB(fpga_data_in_n[3]), .O(data_in[3]));

/******************************************************
     ** Create FPGA Reset **
*******************************************************/
assign rst_n = board_rstn;


endmodule : in_buf

/*

// *** Instantiate the in_buf module ***
in_buf        _in_buf        (.fpga_clk100_p (fpga_clk100_p),
                              .fpga_clk100_n (fpga_clk100_n),
                              .fpga_board_rstn (fpga_board_rstn),
                              .fpga_data_in (fpga_data_in),

                              .clk100 (clk100),
                              .data_in (data_in),
                              .rst_n (rst_n));

*/
