#!/bin/sh

#******************************************************************
#
# sim.sh module
#
#******************************************************************
#
# My Company Confidential Copyright  2012
#
#******************************************************************
#
# created on:    01/10/2012 
# created by:    author
# last edit on:  $DateTime: 2012/01/10 15:51:09 $ 
# last edit by:  $Author: author $
# revision:      $Revision: #1 $
# comments:      Generated
#
#******************************************************************
# Revision List:
#
#		1.0	01/10/2012	Initial release
# 
#	Please report bugs, errors, etc.
#******************************************************************
# Check If Simulation Log File Exists Module
#
#  This utility is intended to check if simulation.log exists 
#  before compiling the simulation files. If the log command is 
#  used with vsimsa.exe, then multiple executions of "make run" 
#  will result in concatenated log files. In order to have a 
#  simulation.log file with only the current results of compilation, 
#  this script must be run to move the simulation.log file to a 
#  dated log file.
#  
#******************************************************************

if [ -f ../log/simulation.log ] 
then 
        echo "simulation.log exists"
        COMPILEFILE=simulation_`date +%G%m%d_%I%M%p`
        mv -f ../log/simulation.log ../log/$COMPILEFILE.log 
        #echo "*** Executing: make run ***"
else
        echo "simulation.log does not exist"
        #echo "*** Executing: make run ***"
fi

if [ -f ../out/$1_results.txt ]
then
        echo "$1_results.txt exists"
        RESFILE=$1_results_`date +%G%m%d_%I%M%p`
        mv -f ../out/$1_results.txt ../out/$RESFILE.txt
else
        echo "$1_results.txt does not exist"
fi

if [ -f ../out/dataset.asdb ] 
then 
        echo "dataset.asdb exists"
        WAVEFILE=dataset_`date +%G%m%d_%I%M%p`
        mv -f ../out/dataset.asdb ../out/$WAVEFILE.asdb 
else
        echo "dataset.asdb does not exist"
fi

if [ -f ../out/dataset.hdb ] 
then 
        echo "dataset.hdb exists"
        WAVEFILE=dataset_`date +%G%m%d_%I%M%p`
        mv -f ../out/dataset.hdb ../out/$WAVEFILE.hdb 
else
        echo "dataset.hdb does not exist"
fi


